-- | XHTML attribute constructors.  Where an attribute name conflicts
--   with a haskell keyword the attribute name is written with a prime
--   suffix, ie. class'.  Where an attribute name conflicts with an
--   element name the attribute name is written likewise.
module Text.HTML.Light.Attribute where

import Text.XML.Light

action :: String -> Attr
action = Attr (unqual "action")

align :: String -> Attr
align = Attr (unqual "align")

alt :: String -> Attr
alt = Attr (unqual "alt")

bgcolor :: String -> Attr
bgcolor = Attr (unqual "bgcolor")

border :: String -> Attr
border = Attr (unqual "border")

-- | 'class' is a reserved word.
class' :: String -> Attr
class' = Attr (unqual "class")

classid :: String -> Attr
classid = Attr (unqual "classid")

colspan :: String -> Attr
colspan = Attr (unqual "colspan")

content :: String -> Attr
content = Attr (unqual "content")

coords :: String -> Attr
coords = Attr (unqual "coords")

-- | 'data' is a reserved word.
data' :: String -> Attr
data' = Attr (unqual "data")

height :: String -> Attr
height = Attr (unqual "height")

href :: String -> Attr
href = Attr (unqual "href")

id :: String -> Attr
id = Attr (unqual "id")

http_equiv :: String -> Attr
http_equiv = Attr (unqual "http-equiv")

lang :: String -> Attr
lang = Attr (unqual "lang")

language :: String -> Attr
language = Attr (unqual "language")

media :: String -> Attr
media = Attr (unqual "media")

method :: String -> Attr
method = Attr (unqual "method")

name :: String -> Attr
name = Attr (unqual "name")

quality :: String -> Attr
quality = Attr (unqual "quality")

rel :: String -> Attr
rel = Attr (unqual "rel")

rowspan :: String -> Attr
rowspan = Attr (unqual "rowspan")

shape :: String -> Attr
shape = Attr (unqual "shape")

-- | 'span' is the name of both an attribute and element.
span' :: String -> Attr
span' = Attr (unqual "span")

src :: String -> Attr
src = Attr (unqual "src")

-- | 'style' is the name of both an attribute and element.
style' :: String -> Attr
style' = Attr (unqual "style")

target :: String -> Attr
target = Attr (unqual "target")

-- | 'title' is the name of both an attribute and element.
title' :: String -> Attr
title' = Attr (unqual "title")

-- | 'type' is a reserved word.
type' :: String -> Attr
type' = Attr (unqual "type")

usemap :: String -> Attr
usemap = Attr (unqual "usemap")

valign :: String -> Attr
valign = Attr (unqual "valign")

value :: String -> Attr
value = Attr (unqual "value")

width :: String -> Attr
width = Attr (unqual "width")

xml_lang :: String -> Attr
xml_lang = Attr (unqual "xml:lang")

xmlns :: String -> Attr
xmlns = Attr (unqual "xmlns")

