-- | Element constructors.  The resulting elements are lifted to the
--   Content data type, with the exception of the 'html' element.
module Text.HTML.Light.Element where

import Text.XML.Light

a :: [Attr] -> [Content] -> Content
a z e = Elem (Element (unqual "a") z e Nothing)

area :: [Attr] -> Content
area z = Elem (Element (unqual "area") z [] Nothing)

body :: [Attr] -> [Content] -> Content
body z e = Elem (Element (unqual "body") z e Nothing)

br :: [Attr] -> Content
br z = Elem (Element (unqual "br") z [] Nothing)

colgroup :: [Attr] -> [Content] -> Content
colgroup z e = Elem (Element (unqual "colgroup") z e Nothing)

col :: [Attr] -> Content
col z = Elem (Element (unqual "col") z [] Nothing)

div :: [Attr] -> [Content] -> Content
div z e = Elem (Element (unqual "div") z e Nothing)

embed :: [Attr] -> Content
embed z = Elem (Element (unqual "embed") z [] Nothing)

form :: [Attr] -> [Content] -> Content
form z e = Elem (Element (unqual "form") z e Nothing)

frame :: [Attr] -> Content
frame z = Elem (Element (unqual "frame") z [] Nothing)

frameset :: [Attr] -> Content
frameset z = Elem (Element (unqual "frameset") z [] Nothing)

h1 :: [Attr] -> [Content] -> Content
h1 z c = Elem (Element (unqual "h1") z c Nothing)

h2 :: [Attr] -> [Content] -> Content
h2 z e = Elem (Element (unqual "h2") z e Nothing)

h3 :: [Attr] -> [Content] -> Content
h3 z e = Elem (Element (unqual "h3") z e Nothing)

h4 :: [Attr] -> [Content] -> Content
h4 z e = Elem (Element (unqual "h4") z e Nothing)

head :: [Attr] -> [Content] -> Content
head z e = Elem (Element (unqual "head") z e Nothing)

html :: [Attr] -> [Content] -> Element
html z e = Element (unqual "html") z e Nothing

img :: [Attr] -> Content
img z = Elem (Element (unqual "img") z [] Nothing)

input :: [Attr] -> Content
input z = Elem (Element (unqual "input") z [] Nothing)

li :: [Attr] -> [Content] -> Content
li z e = Elem (Element (unqual "li") z e Nothing)

link :: [Attr] -> Content
link z = Elem (Element (unqual "link") z [] Nothing)

map :: [Attr] -> [Content] -> Content
map z e = Elem (Element (unqual "map") z e Nothing)

meta :: [Attr] -> Content
meta z = Elem (Element (unqual "meta") z [] Nothing)

object :: [Attr] -> [Content] -> Content
object z e = Elem (Element (unqual "object") z e Nothing)

ol :: [Attr] -> [Content] -> Content
ol z e = Elem (Element (unqual "ol") z e Nothing)

param :: [Attr] -> Content
param z = Elem (Element (unqual "param") z [] Nothing)

ul :: [Attr] -> [Content] -> Content
ul z e = Elem (Element (unqual "ul") z e Nothing)

dl :: [Attr] -> [Content] -> Content
dl z e = Elem (Element (unqual "dl") z e Nothing)

dt :: [Attr] -> [Content] -> Content
dt z e = Elem (Element (unqual "dt") z e Nothing)

dd :: [Attr] -> [Content] -> Content
dd z e = Elem (Element (unqual "dd") z e Nothing)

p :: [Attr] -> [Content] -> Content
p z e = Elem (Element (unqual "p") z e Nothing)

pre :: [Attr] -> [Content] -> Content
pre z e = Elem (Element (unqual "pre") z e Nothing)

script :: [Attr] -> [Content] -> Content
script z e = Elem (Element (unqual "script") z e Nothing)

span :: [Attr] -> [Content] -> Content
span z e = Elem (Element (unqual "span") z e Nothing)

style :: [Attr] -> [Content] -> Content
style z e = Elem (Element (unqual "style") z e Nothing)

table :: [Attr] -> [Content] -> Content
table z e = Elem (Element (unqual "table") z e Nothing)

td :: [Attr] -> [Content] -> Content
td z e = Elem (Element (unqual "td") z e Nothing)

th :: [Attr] -> [Content] -> Content
th z e = Elem (Element (unqual "th") z e Nothing)

title :: [Attr] -> [Content] -> Content
title z e = Elem (Element (unqual "title") z e Nothing)

tr :: [Attr] -> [Content] -> Content
tr z e = Elem (Element (unqual "tr") z e Nothing)
